class Cercle{
  
int numero;

float diametre,x,y;

 
//constructeur (appelé une seule fois à la création)
Cercle(int numeroIn,float xIn,float yIn,float diametreIn){
  numero=numeroIn;
  diametre=diametreIn;
  x=xIn;
  y=yIn; 
}

//fonction qui renvoi la valeur du diametre de ce cercle
float diametre(){  
  return diametre;  
}

//dessine le périmètre du cercle
void tracer(){
  stroke(couleur1);
  strokeWeight(2);
  noFill();
  ellipse(x,y,diametre,diametre);
  ellipse(x,y,diametre-1,diametre-1);
  ellipse(x,y,diametre-2,diametre-2);
}

//dessine le disque
void remplir(){
  strokeWeight(2);
  stroke(255);
  fill(127,127);
  ellipse(x,y,diametre,diametre);
  
}

void inverserNetB(){
 
  loadPixels();
  
  int xCourant;
  int yCourant;
  
  for(int i=0;i<largeurFenetre*hauteurFenetre;i++){  
   
    //calcul x et y courants
    yCourant=floor(i/largeurFenetre);
    xCourant=i-yCourant*largeurFenetre;    
       
    if(appartenanceCercle(xCourant,yCourant)){  //si le pixel appartient au cercle
      
      if(pixels[i]==couleur1){
        pixels[i]=couleur2; //si le pixel est de la couleur 1 > on inverse la couleur
      }
      else{
        pixels[i]=couleur1; //si le pixel est de la couleur 2 > on inverse la couleur
      }
      
    }
    else{
      //ne rien faire
    }
    

    
  }
  updatePixels();
  
}


boolean appartenanceCercle(int xCourant, int yCourant){ 
    float distanceAuCentreCarre=0;    
    distanceAuCentreCarre=pow(x-xCourant,2)+pow(y-yCourant,2);
    
    if(distanceAuCentreCarre>=pow(diametre/2,2)){
     return false; //si le point est hors du cercle je renvoi false     
    }
    else{
      return true;//si le point est dans le cercle je renvoi true
    } 
}

void colorierVertFilet(){
 
   loadPixels();
  
  int xCourant;
  int yCourant;
  
  for(int i=0;i<largeurFenetre*hauteurFenetre;i++){  
   
    //calcul x et y courants
    yCourant=floor(i/largeurFenetre);
    xCourant=i-yCourant*largeurFenetre;    
       
    if(appartenanceCercle(xCourant,yCourant)){  //si le pixel appartient au cercle      
      //ne rien faire      
    }
    else{      
      if(pixels[i]==couleur1){
        pixels[i]=vert; //si le pixel est de la couleur 1 > on inverse la couleur
      }
      else{
        pixels[i]=vert; //si le pixel est de la couleur 2 > on inverse la couleur
      }
    }
    

    
  }
  updatePixels();
  
}

  
}

