
Cercle[] cercles = new Cercle[9]; //5,9,13

int largeurFenetre=1280;
int hauteurFenetre=800;

color couleur1=color(230,230,230);
color couleur2=color(0,0,0);
color vert=color(60,180,0);

int nblignesnoires=24;
int elignes=1;//epaisseur d'une ligne

PImage img=createImage(largeurFenetre, hauteurFenetre, RGB);

void setup(){
   background(couleur1);//couleur de fond
   size(largeurFenetre,hauteurFenetre);
   noLoop();
   smooth(2); 
   
   
   //le premier et le dernier cercle sont des cas particuliers
   cercles[0] = new Cercle(0,largeurFenetre/2, hauteurFenetre/2, hauteurFenetre*0.93);
   cercles[cercles.length-1] = new Cercle(cercles.length-1,largeurFenetre/2, hauteurFenetre/2, hauteurFenetre*0.15);
   
   // création des objets "cercle" sauf le premier et le dernier déclarés avant
   float pasDiametre=(cercles[0].diametre()-cercles[cercles.length-1].diametre())/(cercles.length-1);
   print(pasDiametre);
   
     float xCentre=largeurFenetre/2;
     float yCentre=hauteurFenetre/2;
     float diametre;
   for(int i=1; i < cercles.length-1; i++) {
     
     diametre = cercles[0].diametre()-(pasDiametre)*i;     
     
      if(i==1||i==5||i==9){
           xCentre +=pasDiametre/(2*pow(2,0.5));
           yCentre +=pasDiametre/(2*pow(2,0.5));     
      }
      else if(i==2||i==6||i==10){
           xCentre +=pasDiametre/(2*pow(2,0.5));
           yCentre -=pasDiametre/(2*pow(2,0.5));   
      }      
      else if(i==3||i==7||i==11){
           xCentre -=pasDiametre/(2*pow(2,0.5));
           yCentre -=pasDiametre/(2*pow(2,0.5));      
      }      
      else if(i==4||i==8||i==12){ 
           xCentre -=pasDiametre/(2*pow(2,0.5));
           yCentre +=pasDiametre/(2*pow(2,0.5));   
      }     
      
     cercles[i] = new Cercle(i,xCentre, yCentre, diametre);
   }
    
}

void draw(){
  
 dessinerFondRaye();

 

     
 for(int i=0; i < cercles.length; i++) {
     cercles[i].inverserNetB();
     cercles[i].tracer();
  }
  
  
img=get();  
img.save("imgpng.png");
img.save("imgjpg.jpg");

  
}



void dessinerFondRaye(){
  for(int i=0;i<nblignesnoires;i++){  
    int j=hauteurFenetre%nblignesnoires; 
   
    if (j!=0){
    nblignesnoires=nblignesnoires-1;
    }
    else{
      i=nblignesnoires;
    }
  }

  elignes=hauteurFenetre/(nblignesnoires*2);

  for(int i=0;i<nblignesnoires+1;i++){    
    int coord=i*elignes*2+elignes/2;
    stroke(couleur2);//couleur de l'élément qui va suivre
    strokeWeight(elignes);//largeur des lignes qui suivent
    line(0,coord,largeurFenetre,coord);
  }
}




